org.apache.ode.bpel.epr

## Interface MutableEndpoint

- All Superinterfaces:
    EndpointReference
  All Known Implementing Classes:
    URLEndpoint, WSAEndpoint, WSDL11Endpoint, WSDL20Endpoint

      public interface MutableEndpoint
      extends EndpointReference

  Adds methods on `EndpointReference` to set and manipulate endpoint references.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static java.lang.String` | `ADDRESS`
    `static java.lang.String` | `BINDING_QNAME`
    `static java.lang.String` | `PORT_NAME`
    `static java.lang.String` | `SERVICE_QNAME`
    `static java.lang.String` | `SESSION`

    - ### Fields inherited from interface org.apache.ode.bpel.iapi.EndpointReference

      `SERVICE_REF_QNAME`

  - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `accept(org.w3c.dom.Node node)` Checks if the type of the provided node is the right one for this ServiceEndpoint implementation.
    `void` | `fromMap(java.util.Map eprMap)` Expresses the fact that the endpoint can be either tranformed to a Map representation or initialized from a Map.
    `java.lang.String` | `getUrl()`
    `void` | `set(org.w3c.dom.Node node)` Set service endpoint value from an XML node.
    `java.util.Map` | `toMap()` Expresses the fact that the endpoint can be either tranformed to a Map representation or initialized from a Map.

    - ### Methods inherited from interface org.apache.ode.bpel.iapi.EndpointReference

      `toXML`

- - ### Field Detail

    - #### ADDRESS

          static final java.lang.String ADDRESS

      See Also:
        Constant Field Values

    - #### SESSION

          static final java.lang.String SESSION

      See Also:
        Constant Field Values

    - #### SERVICE_QNAME

          static final java.lang.String SERVICE_QNAME

      See Also:
        Constant Field Values

    - #### PORT_NAME

          static final java.lang.String PORT_NAME

      See Also:
        Constant Field Values

    - #### BINDING_QNAME

          static final java.lang.String BINDING_QNAME

      See Also:
        Constant Field Values

  - ### Method Detail

    - #### toMap

          java.util.Map toMap()

      Expresses the fact that the endpoint can be either tranformed to a Map representation or initialized from a Map. Used for endpoint conversion, to transform one endpoint type into another (using Map as an intermediary format).

    - #### fromMap

          void fromMap(java.util.Map eprMap)

      Expresses the fact that the endpoint can be either tranformed to a Map representation or initialized from a Map. Used for endpoint conversion, to transform one endpoint type into another (using Map as an intermediary format).

    - #### accept

          boolean accept(org.w3c.dom.Node node)

      Checks if the type of the provided node is the right one for this ServiceEndpoint implementation. The endpoint should be unwrapped (without service-ref) before calling this method.
      Parameters:
        `node` -
      Returns:
        true if the node content matches the service endpoint implementation, false otherwise

    - #### set

          void set(org.w3c.dom.Node node)

      Set service endpoint value from an XML node.
      Parameters:
        `node` -

    - #### getUrl

          java.lang.String getUrl()

      Returns:
        endpoint target URL